## firefox 71.0~mozillabinaries

=== debian/changelog ===
firefox (71.0~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 02 Dec 2019 15:20:50 -0800
