## firefox 72.0~mozillabinaries

=== debian/changelog ===
firefox (72.0~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 07 Jan 2020 14:49:00 -0800
