## firefox 72.0.1~mozillabinaries

=== debian/changelog ===
firefox (72.0.1~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 08 Jan 2020 15:10:08 -0800
