## firefox 72.0.1+build1

=== debian/changelog ===
firefox (72.0.1+build1-0ubuntu0.19.04.1) disco; urgency=medium

  * New upstream stable release (72.0.1+build1)

  * Fix creating the source tarball with recent versions of cargo
    - debian/build/create-tarball.py

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 08 Jan 2020 15:46:40 +0100

firefox (72.0+build4-0ubuntu0.19.04.1) disco; urgency=medium

  * New upstream stable release (72.0+build4)

  [ Olivier Tilloy ]
  * Update debian/patches/unity-menubar.patch
  * Use the upstream Build ID, to ensure it is the same across Ubuntu releases
    for a given firefox version (LP: #1851936)
    - debian/build/create-tarball.py
    - debian/build/rules.mk
    - debian/config/mozconfig.in

  [ Rico Tzschichholz ]
  * Exclude autoconf files from integrity check
    - debian/patches/drop-some-file-integrity-checks.patch
  * Bump build-dep on clang >= 8 (LP: #1850529)
    - debian/control{,.in}
    - debian/build/rules.mk
  * Update cbindgen to 0.12.1
    - debian/build/create-tarball.py
  * Use ac_add_options to define specific compiler and tool versions
    (https://bugzilla.mozilla.org/show_bug.cgi?id=1603860)
    - debian/config/mozconfig.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 07 Jan 2020 23:04:53 +0100

firefox (71.0+build5-0ubuntu0.19.04.1) disco; urgency=medium

  * New upstream stable release (71.0+build5)

  * Update test expectation
    - debian/tests/html5test

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 05 Dec 2019 19:45:36 +0100

firefox (71.0+build2-0ubuntu0.19.04.1) disco; urgency=medium

  * New upstream stable release (71.0+build2)

  [ Rico Tzschichholz ]
  * Update cbindgen to 0.10.0
    - debian/build/create-tarball.py
  * Bump build-dep on rustc >= 1.37.0 and cargo >= 0.38
    - debian/control{,.in}
  * Add explicit build-dep on libclang-*-dev
    - debian/control{,.in}
  * Update patches
    - debian/patches/partially-revert-google-search-update.patch
  * Skip Tagalog (tl) and Triqui (trs) localizations
    - debian/config/locales.blacklist
  * Include ca-valencia
    - update debian/config/locales.shipped

  [ Sabri Ünal, Selim Sumlu ]
  * Fix Turkish translation for the new-private-window action (LP: #1852818)
    - debian/firefox.desktop.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 26 Nov 2019 16:23:05 +0100

firefox (70.0.1+build1-0ubuntu0.19.04.1) disco; urgency=medium

  * New upstream stable release (70.0.1build1)

  [ Jean-Louis Dupond ]
  * Fix a typo in debian/README.Debian.in

  [ Olivier Tilloy ]
  * Update symbolic icon to match the latest firefox brand update
    (the asset was downloaded from https://mozilla.design/firefox/logos-usage/)
    - debian/symbolic.svg
  * Add an explicit build dependency on libclang-dev to remain in sync with
    focal, where clang stopped depending on libclang1
    - debian/control{,.in}

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 31 Oct 2019 09:46:28 +0100

firefox (70.0+build2-0ubuntu0.19.04.1) disco; urgency=medium

  * New upstream stable release (70.0build2)

  [ Olivier Tilloy ]
  * Update debian/patches/unity-menubar.patch
  * Build with clang, as official firefox builds are now produced with clang,
    and select the highest clang version available to avoid hardcoding one
    version for each supported Ubuntu release:
    - update debian/build/rules.mk
    - update debian/config/mozconfig.in
    - update debian/control{,.in}
    - add debian/patches/armhf-clang-no-integrated-as-for-neon.patch
    - add debian/patches/ppc64el-workaround-bug-1555531.patch
    - add debian/patches/s390x-fix-hidden-symbol.patch

  [ Rico Tzschichholz ]
  * Bump build-dep on rustc >= 1.36.0 and cargo >= 0.37
    - debian/control{,.in}
  * Update cbindgen to 0.9.1
    - debian/build/create-tarball.py
  * Exclude config.log from the build
    - debian/config/tarball.conf
    - debian/rules
  * Update patches
    - debian/patches/reduce-rust-debuginfo-on-selected-architectures.patch
  * Drop upstreamed patches
    - debian/patches/fix-browser-search-get-api.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 21 Oct 2019 07:36:23 +0200

firefox (69.0.3+build1-0ubuntu0.19.04.1) disco; urgency=medium

  * New upstream stable release (69.0.3build1)

  * Install the minidump-analyzer executable (LP: #1845205)
    - update debian/firefox.install.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 10 Oct 2019 10:37:37 +0200

firefox (69.0.2+build1-0ubuntu0.19.04.1) disco; urgency=medium

  * New upstream stable release (69.0.2build1)

  * Restore icons for the amazon search engine descriptions (LP: #1844051)
    - update debian/searchplugins/amazon*.xml

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 02 Oct 2019 21:29:43 +0200

firefox (69.0.1+build1-0ubuntu0.19.04.1) disco; urgency=medium

  * New upstream stable release (69.0.1build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 18 Sep 2019 00:29:55 +0200

firefox (69.0+build2-0ubuntu0.19.04.1) disco; urgency=medium

  * New upstream stable release (69.0build2)

  [ Olivier Tilloy ]
  * Re-enable and update debian/patches/unity-menubar.patch
  * Stop building and remove firefox-globalmenu (LP: #1834866)
  * Backport an upstream commit to fix the browser.search.get()
    Web Extension API (LP: #1840597)
    - add fix-browser-search-get-api.patch

  [ Rico Tzschichholz ]
  * Update cbindgen to 0.9.0
    - debian/build/create-tarball.p
  * Use firefox-*.json to retrieve revision
    - debian/build/create-tarball.py
  * Bump build-dep to clang-8 and llvm-8-dev
    - debian/config/mozconfig.in
    - debian/control{,.in}
  * Bump build-dep on rustc >= 1.35.0 and cargo >= 0.36
    - debian/control{,.in}
  * Update patches
    - debian/patches/ubuntu-ua-string-changes.patch
    - debian/patches/unity-menubar.patch
  * Drop upstreamed patches
    - debian/patches/skcms-workaround-gcc-bug.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 28 Aug 2019 17:22:58 +0200


