## firefox 73.0~mozillabinaries

=== debian/changelog ===
firefox (73.0~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 10 Feb 2020 12:34:36 -0800
