## firefox 73.0.1~mozillabinaries

=== debian/changelog ===
firefox (73.0.1~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 18 Feb 2020 13:59:19 -0800
