## firefox 73.0.1+build1

=== debian/changelog ===
firefox (73.0.1+build1-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream stable release (73.0.1+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 17 Feb 2020 22:14:55 +0100

firefox (73.0+build3-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream stable release (73.0+build3)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sat, 08 Feb 2020 22:59:12 +0100

firefox (73.0+build2-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream stable release (73.0+build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 07 Feb 2020 15:26:58 +0100

firefox (73.0+build1-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream stable release (73.0+build1)

  [ Olivier Tilloy ]
  * Use a higher resolution icon for DuckDuckGo (LP: #1796397)
    - debian/searchplugins/ddg.xml
  * Re-enable and update debian/patches/unity-menubar.patch

  [ Rico Tzschichholz ]
  * Update cbindgen to 0.13.0
    - debian/build/create-tarball.py
  * Drop browser/chrome.manifest which is not available or required anymore
    - debian/firefox.install.in
  * Bump build-dep on rustc >= 1.39.0 and cargo >= 0.40
    - debian/control{,.in}
  * Update patches
    - debian/patches/support-coinstallable-trunk-build.patch
    - debian/patches/ubuntu-ua-string-changes.patch
  * Fix build with C++17 on ppc platforms
    - debian/patches/ppc-drop-register.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 04 Feb 2020 22:09:32 +0100

firefox (72.0.2+build1-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream stable release (72.0.2+build1)

  * Fix an exception in the apport hook (LP: #1856707)
    - debian/apport/source_firefox.py.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 20 Jan 2020 10:58:32 +0100

firefox (72.0.1+build1-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream stable release (72.0.1+build1)

  * Fix creating the source tarball with recent versions of cargo
    - debian/build/create-tarball.py

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 08 Jan 2020 15:29:21 +0100

firefox (72.0+build4-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream stable release (72.0+build4)

  [ Olivier Tilloy ]
  * Update debian/patches/unity-menubar.patch
  * Use the upstream Build ID, to ensure it is the same across Ubuntu releases
    for a given firefox version (LP: #1851936)
    - debian/build/create-tarball.py
    - debian/build/rules.mk
    - debian/config/mozconfig.in

  [ Rico Tzschichholz ]
  * Exclude autoconf files from integrity check
    - debian/patches/drop-some-file-integrity-checks.patch
  * Bump build-dep on clang >= 8 (LP: #1850529)
    - debian/control{,.in}
    - debian/build/rules.mk
  * Update cbindgen to 0.12.1
    - debian/build/create-tarball.py
  * Use ac_add_options to define specific compiler and tool versions
    (https://bugzilla.mozilla.org/show_bug.cgi?id=1603860)
    - debian/config/mozconfig.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 07 Jan 2020 22:53:25 +0100

firefox (71.0+build5-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream stable release (71.0+build5)

  * Update test expectation
    - debian/tests/html5test

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 05 Dec 2019 19:28:07 +0100

firefox (71.0+build2-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream stable release (71.0+build2)

  [ Rico Tzschichholz ]
  * Update cbindgen to 0.10.0
    - debian/build/create-tarball.py
  * Bump build-dep on rustc >= 1.37.0 and cargo >= 0.38
    - debian/control{,.in}
  * Add explicit build-dep on libclang-*-dev
    - debian/control{,.in}
  * Update patches
    - debian/patches/partially-revert-google-search-update.patch
  * Skip Tagalog (tl) and Triqui (trs) localizations
    - debian/config/locales.blacklist
  * Include ca-valencia
    - update debian/config/locales.shipped

  [ Sabri Ünal, Selim Sumlu ]
  * Fix Turkish translation for the new-private-window action (LP: #1852818)
    - debian/firefox.desktop.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 26 Nov 2019 16:05:22 +0100

firefox (70.0.1+build1-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream stable release (70.0.1build1)

  [ Jean-Louis Dupond ]
  * Fix a typo in debian/README.Debian.in

  [ Olivier Tilloy ]
  * Update symbolic icon to match the latest firefox brand update
    (the asset was downloaded from https://mozilla.design/firefox/logos-usage/)
    - debian/symbolic.svg
  * Add an explicit build dependency on libclang-dev to remain in sync with
    focal, where clang stopped depending on libclang1
    - debian/control{,.in}

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 31 Oct 2019 09:44:07 +0100

firefox (70.0+build2-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream stable release (70.0build2)

  [ Olivier Tilloy ]
  * Update debian/patches/unity-menubar.patch
  * Build with clang, as official firefox builds are now produced with clang,
    and select the highest clang version available to avoid hardcoding one
    version for each supported Ubuntu release:
    - update debian/build/rules.mk
    - update debian/config/mozconfig.in
    - update debian/control{,.in}
    - add debian/patches/armhf-clang-no-integrated-as-for-neon.patch
    - add debian/patches/ppc64el-workaround-bug-1555531.patch
    - add debian/patches/s390x-fix-hidden-symbol.patch

  [ Rico Tzschichholz ]
  * Bump build-dep on rustc >= 1.36.0 and cargo >= 0.37
    - debian/control{,.in}
  * Update cbindgen to 0.9.1
    - debian/build/create-tarball.py
  * Exclude config.log from the build
    - debian/config/tarball.conf
    - debian/rules
  * Update patches
    - debian/patches/reduce-rust-debuginfo-on-selected-architectures.patch
  * Drop upstreamed patches
    - debian/patches/fix-browser-search-get-api.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 21 Oct 2019 07:28:16 +0200

firefox (69.0.3+build1-0ubuntu0.18.04.1) bionic; urgency=medium


