## firefox 74.0~mozillabinaries

=== debian/changelog ===
firefox (74.0~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 10 Mar 2020 18:01:58 -0700
