## firefox 75.0~mozillabinaries

=== debian/changelog ===
firefox (75.0~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 06 Apr 2020 15:06:25 -0700
