=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
-Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.disco
+Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.focal
 Build-Depends: cdbs,
 	locales,
 	debhelper (>= 9),
@@ -35,14 +35,14 @@
 	unzip,
 	dbus-x11,
 	xvfb,
-	python (>= 2.7),
+	python2 (>= 2.7),
 	libffi-dev (>= 3.0.9) [powerpc ppc64el s390x],
-	clang-9 | clang-8,
-	libclang-9-dev | libclang-8-dev,
-	llvm-9-dev | llvm-8-dev,
-	cargo (>= 0.38),
-	rustc (>= 1.37.0),
-	nodejs (>= 8.11)
+	clang-10 | clang-9 | clang-8,
+	libclang-10-dev | libclang-9-dev | libclang-8-dev,
+	llvm-10-dev | llvm-9-dev | llvm-8-dev,
+	cargo (>= 0.42),
+	rustc (>= 1.41.0),
+	nodejs (>= 10.19)
 Standards-Version: 3.9.1
 
 Package: firefox
@@ -410,4 +410,3 @@
 Replaces: language-pack-fy-base
 Conflicts: ${app:Conflicts}
 Provides: ${app:Provides}
-Description: Western Frisian language pack for Firefox
