=== debian/tests/control ===
Test-Command: timeout -v 600 debian/tests/firefox-version
Depends: coreutils, firefox, firefox-geckodriver, python3-apt, python3-selenium

Test-Command: timeout -v 600 debian/tests/html5test
Depends: coreutils, firefox, firefox-geckodriver, python3-selenium
Restrictions: allow-stderr
