## firefox 76.0~mozillabinaries

=== debian/changelog ===
firefox (76.0~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 05 May 2020 09:20:02 -0700
