## firefox 76.0.1~mozillabinaries

=== debian/changelog ===
firefox (76.0.1~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 08 May 2020 17:19:06 -0700
