## firefox 77.0~mozillabinaries

=== debian/changelog ===
firefox (77.0~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 02 Jun 2020 19:37:42 -0700
