## firefox 77.0.1~mozillabinaries

=== debian/changelog ===
firefox (77.0.1~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 05 Jun 2020 09:27:58 -0700
