## firefox 78.0~mozillabinaries

=== debian/changelog ===
firefox (78.0~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 29 Jun 2020 17:20:38 -0700
