## firefox 78.0.1~mozillabinaries

=== debian/changelog ===
firefox (78.0.1~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 01 Jul 2020 19:56:18 -0700
