## firefox 78.0.2~mozillabinaries

=== debian/changelog ===
firefox (78.0.2~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 11 Jul 2020 14:19:02 -0700
